## org.eclipse.emf.compare.match.metamodel
Enum Side

    java.lang.Object
      java.lang.Enum<Side>
          org.eclipse.emf.compare.match.metamodel.Side

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Side>, org.eclipse.emf.common.util.Enumerator

    public enum Side

extends java.lang.Enum<Side>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Side', and utility methods for working with them.

See Also:
  `MatchPackage.getSide()`

Enum Constant Summary
`LEFT` The 'Left' literal object
`RIGHT` The 'Right' literal object

Field Summary
`static int` `LEFT_VALUE` The 'Left' literal value
`static int` `RIGHT_VALUE` The 'Right' literal value
`static java.util.List<Side>` `VALUES` A public read-only list of all the 'Side' enumerators

Method Summary
`static Side` `get(int value)` Returns the 'Side' literal with the specified integer value
`static Side` `get(java.lang.String literal)` Returns the 'Side' literal with the specified literal value
`static Side` `getByName(java.lang.String name)` Returns the 'Side' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static Side` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Side[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LEFT

    public static final Side LEFT

  The 'Left' literal object.

  See Also:
    `LEFT_VALUE`

### RIGHT

    public static final Side RIGHT

  The 'Right' literal object.

  See Also:
    `RIGHT_VALUE`

Field Detail

### LEFT_VALUE

    public static final int LEFT_VALUE

  The 'Left' literal value.

  If the meaning of 'Left' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LEFT`, Constant Field Values

### RIGHT_VALUE

    public static final int RIGHT_VALUE

  The 'Right' literal value.

  If the meaning of 'Right' literal object isn't clear, there really should be more of a description here...

  See Also:
    `RIGHT`, Constant Field Values

### VALUES

    public static final java.util.List<Side> VALUES

  A public read-only list of all the 'Side' enumerators.

Method Detail

### values

    public static final Side[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Side c : Side.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Side valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static Side get(java.lang.String literal)

  Returns the 'Side' literal with the specified literal value.

### getByName

    public static Side getByName(java.lang.String name)

  Returns the 'Side' literal with the specified name.

### get

    public static Side get(int value)

  Returns the 'Side' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<Side>`

Copyright 2006 IBM Corporation and others. All Rights Reserved.